import Head from 'next/head'
import styles from '../styles/Home.module.css'
import {Component} from "react";
import { getCarList, } from '../services/cars';
import CarItem from "../components/CarItem";
import Button from '@mui/material/Button';
export default class Home extends Component {

  constructor(props) {
    super(props);
    this.state = {
      carList : []
    }
  }

  async componentDidMount() {
    let carList = await getCarList(1)
    this.setState({
      carList: carList.data,
    })
  }

  renderCarList(carList){
    return carList.map((car, index)=>{
      return <CarItem key = {car.id}
                      make_id = {car.make_id}
                      make_name = {car.make_name}
                      type_name = {car.type_name}
                      status = {car.status}
                      if_owner = {car.if_owner}
      >

      </CarItem>
    })
  }

  render(){
    return (


        <div className={styles.container}>
          <Head>
            <title>Create Next App</title>
            <meta name="description" content="Generated by create next app" />
            <link rel="icon" href="/favicon.ico" />
          </Head>

          <main className={styles.main}>
            <h1 className={styles.title}>
              Welcome to <a href="">MotorPlatform!</a>
            </h1>

            <p className={styles.description}>
              Cars List
            </p>

            <div className={styles.grid}>
              {this.renderCarList(this.state.carList)}

            </div>
          </main>

          <footer className={styles.footer}>
            <a
                href=""
                target="_blank"
                rel="noopener noreferrer"
            >
              Powered by MotorPlatform
            </a>
          </footer>
        </div>
    )
  }

}
